## org.apache.batik.swing.gvt
Class TextSelectionManager.TextSelectionListener

    java.lang.Object
      org.apache.batik.swing.gvt.TextSelectionManager.TextSelectionListener

All Implemented Interfaces:
  java.util.EventListener, SelectionListener

Enclosing class:
  TextSelectionManager

protected class TextSelectionManager.TextSelectionListener
extends java.lang.Object
implements SelectionListener

To implements a selection listener.

Constructor Summary
`protected` `TextSelectionManager.TextSelectionListener()`

Method Summary
`void` `selectionChanged(SelectionEvent e)` Invoked when a selection has changed.
`void` `selectionCleared(SelectionEvent e)` Invoked when a selection is cleared.
`void` `selectionDone(SelectionEvent e)` Invoked when a selection is done.
`void` `selectionStarted(SelectionEvent e)` Invoked when a selection started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextSelectionManager.TextSelectionListener

    protected TextSelectionManager.TextSelectionListener()

Method Detail

### selectionDone

    public void selectionDone(SelectionEvent e)

  Description copied from interface: `SelectionListener`
  Invoked when a selection is done.

  Specified by:
    `selectionDone` in interface `SelectionListener`
  Parameters:
    `e` - the selection change event

### selectionCleared

    public void selectionCleared(SelectionEvent e)

  Description copied from interface: `SelectionListener`
  Invoked when a selection is cleared.

  Specified by:
    `selectionCleared` in interface `SelectionListener`
  Parameters:
    `e` - the selection change event

### selectionStarted

    public void selectionStarted(SelectionEvent e)

  Description copied from interface: `SelectionListener`
  Invoked when a selection started.

  Specified by:
    `selectionStarted` in interface `SelectionListener`
  Parameters:
    `e` - the selection change event

### selectionChanged

    public void selectionChanged(SelectionEvent e)

  Description copied from interface: `SelectionListener`
  Invoked when a selection has changed.

  Specified by:
    `selectionChanged` in interface `SelectionListener`
  Parameters:
    `e` - the selection change event

Copyright © 2004 Apache Software Foundation. All Rights Reserved.